package model

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

// GetSupplierRequest ...
type GetSupplierRequest struct {
	ListID []primitive.ObjectID `json:"listID"`
}

type GetSupplierContractRequest struct {
	SupplierID primitive.ObjectID `json:"supplierID"`
}

// SupplierRequestPayload ...
type SupplierRequestPayload struct {
	Limit          int
	Page           int
	Keyword        string
	Status         string
	PIC            string
	ContractStatus string
}

type CreateSupplierWarehousePayload struct {
	Supplier     string `json:"supplier"`
	Warehouse    string `json:"warehouse"`
	ProvinceCode int    `json:"provinceCode"`
	DistrictCode int    `json:"districtCode"`
	WardCode     int    `json:"wardCode"`
}

type UpdateSupplierWarehousePayload struct {
	Supplier     string `json:"supplier"`
	Warehouse    string `json:"warehouse"`
	ProvinceCode int    `json:"provinceCode"`
	DistrictCode int    `json:"districtCode"`
	WardCode     int    `json:"wardCode"`
}

// SupplierCashflowCreatePayload ...
type SupplierCashflowCreatePayload struct {
	Supplier    string       `json:"supplier"`
	Action      string       `json:"action"`
	Name        string       `json:"name"`
	TargetID    string       `json:"targetId"`
	Value       float64      `json:"value"`
	ClickAction *ClickAction `json:"clickAction"`
}

type SupplierFreeShipInfoRequestPayload struct {
	SupplierIDs []string `json:"supplierIds"`
}

type SupplierUpdateBalanceReq struct {
	SupplierID string `json:"supplierId"`
}

type SupplierGetCurrentBalanceReq struct {
	SupplierID string `json:"supplierId"`
}

type SupplierDeleteCashflowReq struct {
	CashflowID string `json:"cashflowId"`
}
